unit igralec;

interface
uses polje;

type razlog = ( rNapaka=0, rZmaga=1, rPoraz=2, rNeodloceno=3 );

type TIgralec = class
  public
  procedure ZbudiSe(sirina: Integer; visina:Integer; zacnem: boolean);
  function KamGres(polje: TPolje; prejsnja_poteza: Integer): Integer;
  procedure KonecIgre(r: razlog);

  class function getIme(): string;
end;

implementation
class function TIgralec.getIme;
begin
  getIme := 'PascalIgralec';
end;

procedure TIgralec.ZbudiSe(sirina: Integer; visina: Integer; zacnem: Boolean);
begin
  { Tu dodaj svojo implementacijo }
  WriteLn('Igram na ', sirina, 'x', visina, 'polju, zacnem=', zacnem);
end;

function TIgralec.KamGres(polje: TPolje; prejsnja_poteza: Integer): Integer;
  { Tu dodaj svojo implementacijo.
    Ta primer izpise polje in izbere nakljucno veljavno potezo.
    Funkcija naj vrne stevilko stolpca, v katerega zelis dodati svoj zeton.
    Stolpci so ostevilceni od 0 do sirina - 1
  }
var
  c, i: Integer;
begin
  polje.izpisi;
  c := 0;
  for i := 0 to polje.sirina - 1 do
    if polje[i, polje.visina - 1] = bPrazna then c := c + 1;
  c := Random(c-1);
  KamGres := -1;
  for i := 0 to polje.sirina - 1 do begin
    if polje[i, polje.visina - 1] = bPrazna then begin
      if c = 0 then KamGres := i;
      c := c - 1;
    end;
  end;
end;

procedure TIgralec.KonecIgre(r: razlog);
begin
  { Tu dodaj svojo implementacijo }
  WriteLn('Konec igre');
end;

end.
